Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search
Interface ProjectionConstants

All Known Subinterfaces:
  FullTextQuery, FullTextQuery

All Known Implementing Classes:
  FullTextQueryImpl, FullTextQueryImpl

    public interface ProjectionConstants

Defined projection constants.

Author:
  Emmanuel Bernard

Field Summary
`static java.lang.String` | `BOOST` Deprecated. always return 1
`static java.lang.String` | `DOCUMENT` The Lucene document returned by a search.
`static java.lang.String` | `DOCUMENT_ID` Lucene Document id Experimental: If you use this feature, please speak up in the forum Expert: Lucene document id can change overtime between 2 different IndexReader opening.
`static java.lang.String` | `EXPLANATION` Lucene `Explanation` object describing the score computation for the matching object/document This feature is relatively expensive, do not use unless you return a limited amount of objects (using pagination) To retrieve explanation of a single result, consider retrieving `DOCUMENT_ID` and using fullTextQuery.explain(int)
`static java.lang.String` | `ID` Object id property
`static java.lang.String` | `OBJECT_CLASS` Represents the Hibernate entity class returned in a search.
`static java.lang.String` | `SCORE` The legacy document's score from a search.
`static java.lang.String` | `THIS` Represents the Hibernate entity returned in a search.

Field Detail

### THIS

    static final java.lang.String THIS

  Represents the Hibernate entity returned in a search.

  See Also:
    Constant Field Values

### DOCUMENT

    static final java.lang.String DOCUMENT

  The Lucene document returned by a search.

  See Also:
    Constant Field Values

### SCORE

    static final java.lang.String SCORE

  The legacy document's score from a search.

  See Also:
    Constant Field Values

### BOOST

    static final java.lang.String BOOST

  Deprecated. always return 1
  The boost value of the Lucene document.

  See Also:
    Constant Field Values

### ID

    static final java.lang.String ID

  Object id property

  See Also:
    Constant Field Values

### DOCUMENT_ID

    static final java.lang.String DOCUMENT_ID

  Lucene Document id Experimental: If you use this feature, please speak up in the forum

  Expert: Lucene document id can change overtime between 2 different IndexReader opening.

  See Also:
    Constant Field Values

### EXPLANATION

    static final java.lang.String EXPLANATION

  Lucene `Explanation` object describing the score computation for the matching object/document This feature is relatively expensive, do not use unless you return a limited amount of objects (using pagination) To retrieve explanation of a single result, consider retrieving `DOCUMENT_ID` and using fullTextQuery.explain(int)

  See Also:
    Constant Field Values

### OBJECT_CLASS

    static final java.lang.String OBJECT_CLASS

  Represents the Hibernate entity class returned in a search. In contrast to the other constants this constant represents an actual field value of the underlying Lucene document and hence can directly be used in queries.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.